﻿using EnvelopeCreator.Models;
using System.Text;

namespace EnvelopeCreatorProject.Models.Builders
{
    internal class EnvelopeStatusBuilder : IEnvelopeBuilder
    {
        private EnvelopeStatus _status;

        public EnvelopeStatusBuilder(EnvelopeStatus status = EnvelopeStatus.Sent)
        {
            _status = status;
        }

        public void BuildTo(StringBuilder strBuilder)
        {
            strBuilder.AppendLine($"\"status\":\"{_status.ToString().ToLower()}\",");
        }
    }

}
