﻿using EnvelopeCreatorProject.DocusignAPI;
using EnvelopeCreatorProject.DocusignAPI.RecipientType;

namespace EnvelopeCreatorProject.Models.Recipients
{
    internal class AgentsBuilder : RecipientTypeBuilder
    {
        
        protected override string GetData(Recipient recipient)
        {
            return string.Format(
                    "{{{0}email{0}:{0}{1}{0},{0}name{0}:{0}{2}{0},{0}canEditRecipientEmails{0}:{0}{3}{0},{0}canEditRecipientNames{0}:{0}{4}{0},{5}}}",
                    "\"",
                    recipient.Email,
                    recipient.UserName,
                    ((Agent)recipient.RecipientType).CanEditEmail,
                    ((Agent)recipient.RecipientType).CanEditName,
                    GetRecipientCommonInfo(recipient)
                    );
        }

        internal override string GetRecipientsData()
        {
            return string.Format("{0}agents{0}:[{1}]", "\"", base.GetRecipientsData());
        }
    }
}
