﻿using EnvelopeCreator.DocusignAPI;
using System.ComponentModel;

namespace EnvelopeCreatorProject.DocusignAPI
{
    public class Tab
    {
        [DefaultValue("")]
        public string RecipientID { get; set; }

        [DefaultValue("")]
        public string XPosition { get; set; }

        [DefaultValue("")]
        public string YPosition { get; set; }

        [DefaultValue("")]
        public string DocumentID { get; set; }

        [DefaultValue("")]
        public string PageNumber { get; set; }

        public TabTypeCode Type { get; set; }

        public FontSize FontSize { get; set; }

        public bool Optional { get; set; }

        



        public Tab()
	    {
            RecipientID = string.Empty;
            XPosition = string.Empty;
            YPosition = string.Empty;
            DocumentID = string.Empty;
            PageNumber = string.Empty;
        }
    }
}
